Subject: RE: [PATCH 3/4] connect: advertise OS version

From: <[email-masked]>
Date: Mon, 13 Jan 2025 15:07:00 -0500

On January 13, 2025 2:47 PM, Junio C Hamano wrote:
>Usman Akinyemi <[email-masked]> writes:
>
>> On Mon, Jan 13, 2025 at 9:16 PM Junio C Hamano <[email-masked]> wrote:
>>>
>>> Usman Akinyemi <[email-masked]> writes:
>>>
>>> > Actually, in this patch series, there is a config option called
>>> > `osVersion.command` The specified command will be run and the
>>> > output will be used as the value for `os-version` capability.
>>>
>>> That is essentially a "you can throw at us any arbitrary string".
>>> So my recommendation would not change.  .format would not give us
>>> much _additional_ value in such a case.
>> Hi Junio,
>>
>> Thanks for this.  So, from what I understand, the feature and config
>> option introduced by this patch series is enough, no need to introduce
>> another .format config. Right ?
>
>Yup.
>
>At least until we and our userbase gain more experience with the feature.

My thought on this is somehow relating uname -? (something) with the format
code. Options to uname are not always standard and there are extensions, so
there might be some use in having a binding for non-standard stuff. For example,
on NonStop, uname -r returns the major OS level, and uname -v returns the
minor level. My thought on this is .format R=uname -r, .format V=uname -v, or
something like that. But as you said, it will take time for us to get experience
with this.

--Randall